<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/lLayout_bg"
    style="@style/MatchWrap.Vertical"
    android:background="@drawable/dialog_bg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@drawable/top_radius"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:paddingStart="20dp">

        <TextView
            android:id="@+id/txt_title"
            style="@style/text_white_18_ww"
            android:text="@string/text_ip" />

    </LinearLayout>

    <TextView
        android:id="@+id/txt_ip"
        style="@style/text_black14_mw"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:gravity="center"
        android:textStyle="bold" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_below="@+id/txt_ip"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp">

        <com.sxyz.rfid.widgets.ClearEditText
            android:id="@+id/et_ip"
            style="@style/MatchMatch"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:layout_marginStart="0dp"
            android:layout_marginTop="-2dp"
            android:background="@null"
            android:hint="请输入IP"
            android:inputType="text"
            android:maxLength="20"
            android:paddingStart="10dp"
            android:paddingEnd="15dp"
            android:singleLine="true"
            android:text="192.168.0.0"
            android:textColor="@color/black"
            android:textColorHint="@color/c_c1c1"
            android:textSize="14sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:background="@color/c_e7e7" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp">

        <com.sxyz.rfid.widgets.ClearEditText
            android:id="@+id/et_port"
            style="@style/MatchMatch"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:layout_marginStart="0dp"
            android:layout_marginTop="-2dp"
            android:background="@null"
            android:hint="请输入端口"
            android:inputType="text"
            android:maxLength="20"
            android:paddingStart="10dp"
            android:paddingEnd="15dp"
            android:singleLine="true"
            android:text="8080"
            android:textColor="@color/black"
            android:textColorHint="@color/c_c1c1"
            android:textSize="14sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_alignParentBottom="true"
            android:background="@color/c_e7e7" />
    </RelativeLayout>


    <LinearLayout
        android:id="@+id/buttonGroup"
        style="@style/MatchWrap.Horizontal"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp">

        <Button
            android:id="@+id/bt_cancel"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="取消"
            android:textColor="@color/purple_200" />

        <View
            android:id="@+id/buttonVerticalDivider"
            android:layout_width="1px"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:background="@color/c_EEEE" />

        <Button
            android:id="@+id/bt_ok"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="切换"
            android:textColor="@color/purple_200" />
    </LinearLayout>


</LinearLayout>